Package kiyut.sketsa.loaders.event

## Interface SVGEditorSupportListener

- All Superinterfaces:
    `EventListener`
  All Known Implementing Classes:
    `SVGEditorSupportListenerAdapter`

      public interface SVGEditorSupportListener
      extends EventListener

  An event listener system for various stage or phase when document is processed in the `SVGEditorSupport` Important: when you implement and attach this listener be careful with exception, because `SVGEditorSupport` does not handle an exception occured from this listener.
  Author:
    KIYUT

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `documentClosed​(SVGEditorSupportEvent evt)` | fired after document is successfully closed
    `void` | `documentCreated​(SVGEditorSupportEvent evt)` | fired after document is successfully created aka new document but before opened in the editor.
    `void` | `documentLoaded​(SVGEditorSupportEvent evt)` | fired after document is successfully loaded but before opened in the editor.
    `void` | `documentOpened​(SVGEditorSupportEvent evt)` | fired after document is successfully opened in the editor.
    `void` | `documentReplaced​(SVGEditorSupportEvent evt)` | fired after document is successfully replaced
    `void` | `documentReverted​(SVGEditorSupportEvent evt)` | fired after document is successfully reverted.
    `void` | `documentSaved​(SVGEditorSupportEvent evt)` | fired after document is successfully saved

- - ### Method Detail

    - #### documentCreated

          void documentCreated​(SVGEditorSupportEvent evt)

      fired after document is successfully created aka new document but before opened in the editor. note: documentOpened will be called later during opening process.
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentLoaded

          void documentLoaded​(SVGEditorSupportEvent evt)

      fired after document is successfully loaded but before opened in the editor. It is called regardless it is reverting process or normal loading
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentReverted

          void documentReverted​(SVGEditorSupportEvent evt)

      fired after document is successfully reverted. note: documentLoaded and documentOpened is still be called.
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentOpened

          void documentOpened​(SVGEditorSupportEvent evt)

      fired after document is successfully opened in the editor. It is called regardless it is reverting process or normal loading or new document
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentSaved

          void documentSaved​(SVGEditorSupportEvent evt)

      fired after document is successfully saved
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentClosed

          void documentClosed​(SVGEditorSupportEvent evt)

      fired after document is successfully closed
      Parameters:
        `evt` - SVGEditorSupportEvent

    - #### documentReplaced

          void documentReplaced​(SVGEditorSupportEvent evt)

      fired after document is successfully replaced
      Parameters:
        `evt` - SVGEditorSupportEvent